window.handleOpenURL = function (url) {
    setTimeout(function(){
        window.launchURL = url;
        handleUrl(url);
    },0);
};

function handleUrl(url) {
    var urlData = {urlStr: url};
    var data = JSON.stringify(urlData);
    var event = JSON.parse(data);
    checkDeviceReady(function () {
        cordova.fireDocumentEvent('bhfae.app', event);
    });
}

function checkDeviceReady(callBack) {
    if (window.sessionStorage.getItem('deviceready') === '1') {
        callBack();
    }else {
        document.addEventListener("deviceready", function () {
            setTimeout(function () {
                callBack();
            }, 2000);
        }, false);
    }
}